## mistral-extra 15.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
mistral-lib>=2.3.0 # Apache-2.0
aodhclient>=0.9.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-manilaclient>=1.23.0 # Apache-2.0
python-magnumclient>=2.15.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient!=2.7.1,!=3.0.0,>=2.7.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-vitrageclient>=2.0.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
oauthlib>=0.6.2 # BSD
yaql>=1.1.3 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0

# monitoring dependencies
alembic>=1.7.7 # MIT
oslo.config>=8.7.0 # Apache-2.0
Flask>=1.0.2
prometheus_client>=0.15.0

=== examples/v2/calculator/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
python-mistralclient>=2.0.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
PyYAML>=3.1.0 # MIT
pecan>=1.0.0 # BSD
WSME>=0.8 # MIT
oslo.config>=3.12.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
Flask!=0.11,<1.0,>=0.10 # BSD

=== debian/changelog ===
mistral-extra (15.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 15 Oct 2025 14:08:20 +0000

mistral-extra (15.1.0-1) unstable; urgency=medium

  * Initial package (Closes: #1118140).

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:10:00 +0200

=== debian/control ===
Source: mistral-extra
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-aodhclient,
 python3-barbicanclient,
 python3-cinderclient,
 python3-coverage,
 python3-designateclient,
 python3-fixtures,
 python3-flask,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-ironic-inspector-client,
 python3-ironicclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-magnumclient,
 python3-manilaclient,
 python3-mistral-lib,
 python3-mistralclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oauthlib,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslotest,
 python3-prometheus-client,
 python3-requests-mock,
 python3-stestr,
 python3-swiftclient,
 python3-tackerclient,
 python3-troveclient,
 python3-vitrageclient,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 subunit,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral-extra
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral-extra.git
Homepage: https://opendev.org/openstack/mistral-extra/

Package: mistral-extra
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-aodhclient,
 python3-barbicanclient,
 python3-cinderclient,
 python3-designateclient,
 python3-flask,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-heatclient,
 python3-ironic-inspector-client,
 python3-ironicclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-magnumclient,
 python3-manilaclient,
 python3-mistral-lib,
 python3-mistralclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oauthlib,
 python3-oslo.config,
 python3-oslo.log,
 python3-pbr,
 python3-prometheus-client,
 python3-swiftclient,
 python3-tackerclient,
 python3-troveclient,
 python3-vitrageclient,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - extra functionalities
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains more actions, for example, some OpenStack client.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'mistral_extra.tests.unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://opendev.org/openstack/mistral-extra/ refs/tags/(\d[brc\d\.]+)

## mistral-extra 16.0.1

=== requirements.txt ===
--- 
+++ 
@@ -33,5 +33,5 @@
 # monitoring dependencies
 alembic>=1.7.7 # MIT
 oslo.config>=8.7.0 # Apache-2.0
-Flask>=1.0.2
-prometheus_client>=0.15.0
+Flask>=1.0.2 # BSD
+prometheus-client>=0.15.0 # Apache-2.0

=== debian/changelog ===
mistral-extra (16.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 15:01:42 +0100
